﻿using System;
using System.Threading;
using System.Xml;
using System.Xml.Serialization;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpc.DataAccess.OperationModel;

namespace SubscribeFromXml
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine("Loading items from XML file...");
            var xmlSerializer = new XmlSerializer(typeof(DAItemGroupArguments[]));
            var xmlReader = XmlReader.Create("OpcItems.xml", new XmlReaderSettings {IgnoreWhitespace = true});
            var argArray = (DAItemGroupArguments[]) (xmlSerializer.Deserialize(xmlReader));

            if (argArray != null)
            {
                Console.WriteLine("Subscribing for 30 seconds...");
                EasyDAClient.SharedInstance.SubscribeMultipleItems(argArray,
                                                                    (_, eventArgs) =>
                                                                    Console.WriteLine("{0}: {1}",
                                                                        // ReSharper disable PossibleNullReferenceException
                                                                        eventArgs.Arguments.ItemDescriptor.ItemId,
                                                                        eventArgs.Vtq));
                                                                        // ReSharper restore PossibleNullReferenceException
                Thread.Sleep(30 * 1000);

                Console.WriteLine("Unsubscribing...");
                EasyDAClient.SharedInstance.UnsubscribeAllItems();
            }

            Console.WriteLine("Finished.");
        }
    }
}
