﻿using System;
using System.Diagnostics;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpc.OperationModel;

// ReSharper disable ArrangeModifiersOrder
// ReSharper disable InconsistentNaming

namespace BrowseBranchesWeb
{
	public partial class _Default : System.Web.UI.Page
	{
        // Use a shared client instance to allow for better optimization.
        static private readonly EasyDAClient Client = new EasyDAClient();

        protected void Page_Load(object sender, EventArgs e)
		{
			try
			{
				var elementDictionary = Client.BrowseBranches("", "OPCLabs.KitServer.2");
			    Debug.Assert(elementDictionary.Keys != null);

			    foreach (var key in elementDictionary.Keys)
				{
				    Debug.Assert(key != null);
				    var branchElement = elementDictionary[key];
				    Debug.Assert(branchElement != null);
				    ListBox1.Items.Add(branchElement.ItemId);
				}
				ListBox1.Visible = true;

			}
			catch (OpcException ex)
			{
				TextBox1.Text = ex.GetBaseException().Message;
				TextBox1.Visible = true;
			}

		}

	protected override void OnInit(EventArgs e)
	{
		base.OnInit(e);

		Load += Page_Load;
	}
	}
}